Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class XSObjectListImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.util.XSObjectListImpl

All Implemented Interfaces:
  XSObjectList

public class XSObjectListImpl
extends java.lang.Object
implements XSObjectList

Containts a list of XSObject's.

Version:
  $Id: XSObjectListImpl.java,v 1.3 2003/01/14 20:21:48 elena Exp $
Author:
  Sandy Gao, IBM

Constructor Summary
`XSObjectListImpl(XSObject[] array, int length)` Construct an XSObjectList implementation

Method Summary
`int` | `getLength()` The number of `XSObjects` in the list.
`XSObject` | `item(int index)` Returns the `index`th item in the collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSObjectListImpl

    public XSObjectListImpl(XSObject[] array,
                            int length)

  Construct an XSObjectList implementation
  Parameters:
    `array` - the data array
    `length` - the number of elements

Method Detail

### getLength

    public int getLength()

  The number of `XSObjects` in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `XSObjectList`

### item

    public XSObject item(int index)

  Returns the `index`th item in the collection. The index starts at 0. If `index` is greater than or equal to the number of nodes in the list, this returns `null`.
  Specified by:
    `item` in interface `XSObjectList`
  Parameters:
    `index` - index into the collection.
  Returns:
    The XSObject at the `index`th position in the `XSObjectList`, or `null` if that is not a valid index.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.